Subject: sack delay parameter

From: David Lehmann <[email-masked]>
Date: Wed, 16 Feb 2005 09:07:52 -0500

Hello,

In RFC2960, section 6.2, the sack delay is specified as 200ms
and can be configured up to 500ms.  Can we add a sack delay
parameter to the API, maybe in struct sctp_assocparams?

-- 

David Lehmann                          Ulticom, Inc.
AOL/Yahoo IM: davidULCM                1020 Briggs Road
1-856-787-2729                         Mt. Laurel, NJ 08054   USA

---

From: Michael Tuexen <[email-masked]>
Date: Wed, 16 Feb 2005 15:51:13 +0100

David,

I agree with you. On a BSD system you can configure only via
sysctl and on LKSCTP there is no way of configuring currently.

A value of 0 should disable delaying the SACK.

The other open point (from my perspective) is to be able
to set the path MTU and therefore disabling path MTU discovery.

Best regards
Michael

PS: Randy, should we add this before Monday?

---

From: David Lehmann <[email-masked]>
Date: Wed, 16 Feb 2005 12:11:41 -0500

> to set the path MTU and therefore disabling path MTU discovery.

Yes, we have these same requirements.

--

---

From: Randall Stewart <[email-masked]>
Date: Wed, 16 Feb 2005 14:55:37 -0500

And I just got through adding a socketopt to do
the same thing on an assoc in BSD :-D

So lets get that into the next draft too :-D

R

-- 
Randall Stewart
ITD
803-345-0369 <or> 815-342-5222

---

From: Kacheong Poon <[email-masked]>
Date: Wed, 16 Feb 2005 12:53:00 -0800

> parameter to the API, maybe in struct sctp_assocparams?

If we add it, I think it should probably be in
sctp_paddrparams.  And given the recent discussion
on using spp_hbinterval, I guess we can change the
structure a little bit to accomodate both.  This
also applies to enforcing a fix MTU (this means
that the DF bit will not be set in v4 if the MTU
is bigger than the PMTU).

-- 

						K. Poon.
						[email-masked]

---

From: Randall Stewart <[email-masked]>
Date: Wed, 16 Feb 2005 16:16:19 -0500

> Yes, we have these same requirements.
I think we should add this as both

a) socket option per association
and
b) socket option that effects the endpoint.

And then a implementation can choose to
do a sysctl (or whatever the equivlant is) to
turn it off on the whole system by default..

R